export interface ICommand {
    command?: string,
    deviceId?: string,
    type?: string
}

export interface IDevice {
    id: string;
    name: string;
    harmony: any;
    log: any
    supportsCommand(commandName: string): boolean,
    getCommand(commandName: string): ICommand,
    powerOn(): Promise<void>;
    powerOff(): Promise<void>;
    sendCommand(commandName: string): Promise<void>;
    commands: { [name: string]: ICommand };
    on: boolean;
}